/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.edelvez.gameserver;

import java.util.logging.Logger;

import com.edelvez.Config;
import com.edelvez.util.Util;

public class Edelvez
{
	private static final Logger _log = Logger.getLogger(Edelvez.class.getName());

	/**
	 * L2J Edelvez
	 */
	public static void info()
	{
		_log.info("------------------------------------------------------------------------------");
		_log.info("                           Developers: Depre - Mildain            	         ");
		_log.info("                             Starting   Game Server...            	         ");
		_log.info("------------------------------------------------------------------------------");
		Util.printCpuInfo();
		_log.info("------------------------------------------------------------------------------");
		Util.printOSInfo();
		_log.info("------------------------------------------------------------------------------");
		_log.info("               #####  ####   #####  #      #   #  #####  #####                ");
		_log.info("               #        # #  #      #      #   #  #         #                 ");
		_log.info("               ####     # #  ####   #      #   #  ####     #                  ");
		_log.info("               #        # #  #      #      #   #  #       #                   ");
		_log.info("               #####  ####   #####  #####   ###   #####  #####                ");
		_log.info("------------------------------------------------------------------------------");
		_log.info("                   L2J Edelvez GS Version:     " + Config.SERVER_VERSION       );
		_log.info("                   L2J Edelvez DP Version:     " + Config.DATAPACK_VERSION     );
		_log.info("                            Copyright 2010-2011                               ");
		_log.info("------------------------------------------------------------------------------");
	}
}